Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image
Class LinearTransfer

    java.lang.Object
      org.apache.batik.ext.awt.image.LinearTransfer

All Implemented Interfaces:
  TransferFunction

    public class LinearTransfer

extends Object
implements TransferFunction

LinearTransfer.java This class defines the Linear type transfer function for the feComponentTransfer filter, as defined in chapter 15, section 11 of the SVG specification.

Field Summary
`float` | `intercept` The intercept of the linear function
`byte[]` | `lutData` This byte array stores the lookuptable data
`float` | `slope` The slope of the linear function

Constructor Summary
`LinearTransfer(float slope, float intercept)` Two floats as the input for the function

Method Summary
`byte[]` | `getLookupTable()` This method will return the lut data in order to construct a LookUpTable object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lutData

    public byte[] lutData

  This byte array stores the lookuptable data

### slope

    public float slope

  The slope of the linear function

### intercept

    public float intercept

  The intercept of the linear function

Constructor Detail

### LinearTransfer

    public LinearTransfer(float slope,
                          float intercept)

  Two floats as the input for the function

Method Detail

### getLookupTable

    public byte[] getLookupTable()

  This method will return the lut data in order to construct a LookUpTable object

  Specified by:
    `getLookupTable` in interface `TransferFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.